import { ConfigurationEntity } from '@modules/configuration/core/domain/configuration.entity';
import {
  CreateConfigurationProps,
  ConfigurationDomain,
} from '@modules/configuration/core/domain/configuration.types';

const createConfigurationProps: CreateConfigurationProps = {
  identifier: {
    domain: ConfigurationDomain.CARPOOL,
    key: 'seatsProposed',
  },
  value: '3',
};

describe('Configuration entity create', () => {
  it('should create a new configuration entity', async () => {
    const configurationEntity: ConfigurationEntity = ConfigurationEntity.create(
      createConfigurationProps,
    );
    expect(configurationEntity.id.length).toBe(36);
    expect(configurationEntity.getProps().value).toBe('3');
  });
});
